%define name partimage 
%define release 0.2mdk
%define version 0.6.0

Summary: Partition Image
Name: %name
Version: %version
Release: %release
License: GPL
Group: Archiving/Backup
Source: %name-%version-rc2.tar.bz2
Patch: %name-slang.patch.bz2
Buildroot: %_tmppath/%name-buildroot
Url: www.partimage.org

%description
- Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the Ext2FS (the linux standard), ReiserFS (a new 
journalized and powerful file system), NTFS (Windows NT File System)
or FAT16/32 (DOS & Windows file systems), file system formats to an 
image file. Only used blocks are copied. The image file can be 
compressed in the GZIP/BZIP2 formats to save disk space, and splitted 
into multiple files to be copied on amovibles floppies (ZIP for example)
, or burned on a CD-R ...
- This allows to save a full Linux/Windows system, with an only 
operation. When problems (viruses, crash, error, ...), you just have to 
restore, and after several minutes, all your system is restored (boot, 
files, ...), and fully working.
- This is very useful when installing the same software on many 
machines: just install one of them, create an image, and just restore 
the image on all other machines. Then, after the first one, each 
installation is automatically made, and only require a few minutes.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %name-%version-rc2

%patch -p1

%build

%configure

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/sbin/partimage"\
title="Partimage"\
longtitle="Partimage"\
needs="x11"\
section="Configuration/Hardware"
EOF
)

%find_lang %name

%post
%update_menus

%_install_info partimage.info

%postun
%clean_menus

%_remove_install_info partimage.info

%files -f %name.lang
%defattr (-,root,root)
%config(noreplace) %_sysconfdir/partimaged/*
%_sbindir/*
%_infodir/*
%_menudir/*

%changelog
* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.2mdk
- updated to rc2

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0
- patch for slang.h

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- new in contribs
- patch makefiles to allow user building

* Sun Oct 01 2000 Francois Dupoux <fdupoux.fr> 0.3.5
- Bug fixes
- Italian translation
- Debian files for packaging
 
* Wed Sep 20 2000 Francois Dupoux <fdupoux.fr> 0.3.3
- Bug fixes
- Documentation (in english, in SGML ==> HTML)
- New option: "halt/reboot when finished"
- Internationalisation
- Franch translation
  
* Tue Sep 12 2000 Francois Dupoux <fdupoux.fr> 0.3.2
- Bug fixes (NTFS support, Splitting),
- New debug system to make debug easy.
   
* Wed Sep 06 2000 Francois Dupoux <fdupoux.fr> 0.3.1
- Bug fixes
- Compression level auto-detection at restore,
- Beginning of the NTFS support
    
* Sat Aug 27 2000 Francois Dupoux <fdupoux.fr> 0.3.0
- New semi-graphical interface (based on newt) which can be run under a console
- Bug fixes
     
* Mon Aug 21 2000 Francois Dupoux <fdupoux.fr> 0.2.4
- Support of the ReiserFS file system
- File system auto-detection
      
* Tue Aug 15 2000 Francois Dupoux <fdupoux.fr> 0.2.3
- Bug fixes
- Removed the 2 GB partition size limitation
       
* Tue Jul 25 2000 Francois Dupoux <fdupoux.fr> 0.2.2
- FAT16 and FAT32 support
- Bug fixes
- 2 GB limit check
- e2fsck check before saving
- New options
        
* Sat Jun 04 2000 Francois Dupoux <fdupoux.fr> 0.2.1
- Split image support
- Bug fixes
- Size check
- New options
	 
* Mon May 29 2000 Francois Dupoux <fdupoux.fr> 0.2.0
- First version 
